FUNCTION TEMP(3)

NAME
boost::algorithm::replace_range - Replace range algorithm.

SYNOPSIS

// In header: <boost/algorithm/string/replace.hpp>
template<typename SequenceT, typename RangeT>
  void replace_range(SequenceT & Input,
                     const iterator_range< typename range_iterator< SequenceT >::type > & SearchRange,
                     const RangeT & Format);

DESCRIPTION

Replace the given range in the input string. The input sequence is modified in-place.

Parameters:

    Format
        A substitute string

    Input
        An input string

    SearchRange
        A range in the input to be substituted